FTPSCommand
Date: 2016-06-23

org.apache.commons.net.ftp

## Class FTPSCommand

- java.lang.Object
- - org.apache.commons.net.ftp.FTPSCommand

- Deprecated.
  3.0 DO NOT USE

      @Deprecated
      public final class FTPSCommand
      extends java.lang.Object

  FTPS-specific commands.
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADAT` Deprecated.
    `static int` | `AUTH` Deprecated.
    `static int` | `AUTHENTICATION_SECURITY_DATA` Deprecated.
    `static int` | `AUTHENTICATION_SECURITY_MECHANISM` Deprecated.
    `static int` | `CCC` Deprecated.
    `static int` | `CLEAR_COMMAND_CHANNEL` Deprecated.
    `static int` | `DATA_CHANNEL_PROTECTION_LEVEL` Deprecated.
    `static int` | `PBSZ` Deprecated.
    `static int` | `PROT` Deprecated.
    `static int` | `PROTECTION_BUFFER_SIZE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTPSCommand()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCommand(int command)` Deprecated. Retrieve the FTPS command string corresponding to a specified command code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTH

          public static final int AUTH

      Deprecated.
      See Also:
        Constant Field Values

    - #### ADAT

          public static final int ADAT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PBSZ

          public static final int PBSZ

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROT

          public static final int PROT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CCC

          public static final int CCC

      Deprecated.
      See Also:
        Constant Field Values

    - #### AUTHENTICATION_SECURITY_MECHANISM

          public static final int AUTHENTICATION_SECURITY_MECHANISM

      Deprecated.
      See Also:
        Constant Field Values

    - #### AUTHENTICATION_SECURITY_DATA

          public static final int AUTHENTICATION_SECURITY_DATA

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROTECTION_BUFFER_SIZE

          public static final int PROTECTION_BUFFER_SIZE

      Deprecated.
      See Also:
        Constant Field Values

    - #### DATA_CHANNEL_PROTECTION_LEVEL

          public static final int DATA_CHANNEL_PROTECTION_LEVEL

      Deprecated.
      See Also:
        Constant Field Values

    - #### CLEAR_COMMAND_CHANNEL

          public static final int CLEAR_COMMAND_CHANNEL

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FTPSCommand

          public FTPSCommand()

      Deprecated.

  - ### Method Detail

    - #### getCommand

          public static final java.lang.String getCommand(int command)

      Deprecated.
      Retrieve the FTPS command string corresponding to a specified command code.
      Parameters:
        `command` - The command code.
      Returns:
        The FTPS command string corresponding to a specified command code.